### Method

# Camel NetworkSettings get_security_method

since: 3.2

#### Declaration [src]

    CamelNetworkSecurityMethod
    camel_network_settings_get_security_method (
      CamelNetworkSettings* settings
    )

#### Description [src]

Returns the method used to establish a secure (or unsecure) network connection.

Available since: 3.2

Gets property | `Camel.NetworkSettings:security-method`

#### Return value

Type: `CamelNetworkSecurityMethod`

The security method.